
/**
 * Un example d'utilisation de GtkTable, GtkImage et GdkPixbuf pour
 * creer une grille d'images. Deux billes de billard se deplacent
 * sur un tapis et rebondissent sur les bords du tapis. Si elles
 * entrent en collision, alors elle rebondissent dans la direction
 * opposee.
 *
 * AUTHOR: Guillaume Riviere (C) 2012
 * FILE: callbacks.c
 */

#include <gtk/gtk.h>
#include "callbacks.h"

/*================================================
 * Prototypes de fonction declarees dans main.c
 *===============================================*/

void stop_animtation () ;
void start_animtation () ;

/*================================================
 * Fonctions callbacks
 *===============================================*/

G_MODULE_EXPORT void on_mainwindow_destroy (GtkObject *object, gpointer user_data) {
  /* Arreter la boucle d'animation */
  stop_animtation () ;

  /* Stopper la boucle GTK */
  gtk_main_quit () ;
}

G_MODULE_EXPORT void on_button_start_clicked (GtkObject *object, gpointer user_data) {
  start_animtation () ;
}

G_MODULE_EXPORT void on_button_stop_clicked (GtkObject *object, gpointer user_data) {
  stop_animtation () ;
}
